# Version 1.2.4:

- Tweaked Coalesce: now partially animation based now that ball engine mechanisms don't function as well (the reciprocating motion platforms were too fast when fixed); moves a bit slower overall

- Fixed Division: still uses a ball engine, but just added a lot more force zones

- Changed Enginery: lower ball engine broke, so the mechanism was changed to 2 platforms that move with animations; the upper ball engine that uses reciprocating motion platforms was fixed; the breakable boxes were made bigger and break to the saws now; added lots of cover

- Tweaked Magmatic: ball distribution should be more even between left and right

- Tweaked Miniature: changed the golf club and a few other minor areas to compensate for new ball mass in Maps Extended

- Tweaked Nostalgia: barrels should roll more smoothly and set on fire more evenly

- Tweaked Pinball: made bumpers thinner to compensate for new ball mass; fixed issue with pinballs rarely clogging up

- Changed Revolution: platforms now animation based (platforms were formerly attached to a ball engine which again now act odd with reduced ball mass)

---
# Version 1.2.3:

- Attempt to fix more spawn points

---
# Version 1.2.2:

- Tweaked Serpentine: tongue thickness increased to prevent clipping through

- Tweaked Miniature: minor misc. changes for consistency

- Tweaked Oscillating: all spinning blocks now use animations to avoid inconsistency and ropes failing to load; lower platform moves faster; made map more symmetrical

- Tweaked Cyclic: saw size and positon changed so that players are no longer safe on the main platform

- Tweaked spawn points for several maps to avoid faulty spawns

---
# Version 1.2.1:

- Fixed Balance: now properly sways again

- Fixed Coalesce: platforms no longer go too far off screen

- Tweaked Elementary: very minor tweaks to positioning

- Fixed Pinball Machine: saws static again

- Fixed So Below: duplicate box removed

- Changed Weave: saw sizes reduced, saw colors made more distinct, and 4 saws replaced with harmless green background blocks

- Updated some map images in README

---
# Version 1.2.0:

- Got maps fixed so that they (should) no longer have missing components

- Removed BossSloth's ExtraMapObjects since their color blocks are now redundant; all old color blocks have been swapped to the new ones

- Added Falling Down

- Visual updates to As Above, Balance, Broadside, Coalesce, Cyclic, Division, Elementary, Enginery, Hyper Tubes, Lurch, Magmatic, Miniature, Nostalgia, Orbitals, Oscillating, Overhaul, Pinball Machine, Revolution, Sinkhole, and So Below

- Changed Broadside: sea mines and cannon balls are now deadlier

- Changed Cyclic: hazard now uses animation instead of physics for consistency and map balance between upper and lower levels

- Tweaked Elementary: had some very minor layout changes

- Changed Lurch: hazard now uses animation instead of physics for consistency and map balance between upper and lower levels and even distribution

- Tweaked Magmatic: minor changes to how hazards are delivered

- Tweaked Miniature: very minor layout changes

- Tweaked Nostalgia: various tweaks and some fun additions

- Updated every map image in README
---

# Version 1.1.0:

- Now using MapEditor 1.0ish

- Added Miniature and Flipside
---

# Version 1.0.4:

- Changed Division: added a lower route to increase map manuevering options and have alternate routes for slow players or 

- Tweaked Recursion: added access to map boundary in bottom corners to enable block jumping as an alternative manuevering option
---

# Version 1.0.3:

- Changed As Above: reduced the number of boxes by making dividing boxes tall and take up an entire row in order to make the map's gimmick more relevant

- Changed Cyclic: lowered upper boxes and spawns to make it easier for lower spawns to break and allow for the saw to disrupt upper levels; misc. tweaks

- Changed Hyper Tubes: made the force zones less powerful

- Changed Nostalgia: made lava hazards larger and added visual indicators; several misc. tweaks

- Changed Orbitals: replaced bottom arrow with 2 diagonal arrows to fix initial spin and make fights at bottom more interesting

- Changed So Below: made destructible boxes larger and gray blocks smaller to make the map's gimmick more relevant

- Changed Weave: adjusted off-screen force zones to hopefully fix the initial spin
---

# Version 1.0.2:

- Replace ReducePostFX with ToggleEffects
---

# Version 1.0.1:

- Changed Oribitals force zones to be more balanced

- Tweaked Galleons spawns

- Slowed down Division and Weave dynamic elements to be less frustrating

- Various minor tweaks to positioning in Pinball Machine to be more symmetrical

- Made So Below visual elements of bridge less ugly

- Updated some README images
---

# Version 1.0.0:

- Added Coalesce, Weave, Division, As Above, and So Below

- Added all missing map images to README

---

# Version 0.11.1:

- Removed unecessary dependencies

---

# Version 0.11.0:

- Added Recursion, Revolution, and Enginery

- Made decorative barrels on Nostalgia static

---

# Version 0.10.1:

- Fixed Trenches; scaled up the map ~4x to reduce the amount of map objects needed to load and to make it easier to manuever the map

- Reworked Pinball Machine; made both bumpers more stable, added a second route on right side for balls to come from, added lava to both tubes to make balls more hazardous, doubled ball amount, tweaked minor placements

- Reinforced Serpentine; should hopefully not just fall apart easily now; also added more platforms

- Changed the box "barrels" at top right of Nostalgia to more 8-bit inspired barrel objects

---

# Version 0.10.0:

- Added Galleons, Trenches, Hyper Tubes, and Pinball Machine

- Added ReducePostFX

- Added some map images to README

---

# Version 0.9.0: 

- Added Flip Flop and Wipeout

---

# Version 0.8.1: 

- Made Sinkhole sink much slower

- Added watermark to Elementary

- Added some map images to README

---

# Version 0.8.0: 

- Added Elementary and Sinkhole V2 - will be keeping an eye on Sinkhole.

---

# Version 0.7.1: 

- Fixed some issues with barrels on Nostalgia

---

# Version 0.7.0: 

- Added Nostalgia

---

# Version 0.6.4: 

- Removed Sinkhole for being unstable

---

# Version 0.6.3:

- Tweaked Lurch lower platform height and Broadside left seamine

- Added README GIFs and misc. adjustments

---

# Version 0.6.2: 

- Tweaked Magmatic spawns

---

# Version 0.6.1: 

- Updated map images

---

# Version 0.6.0:

- Added Overhaul, Broadside, Sinkhole, Probability, and Magmatic

- Made all maps 8-player compatible

---

# Version 0.5.1:

- Updated map images

---

# Version 0.5.0:

- Added Balance and Lurch

- Reworked Orbitals

- Tweaked Serpentine and Oscillating

---

# Version 0.4.4:

- Fixed README

- Added map descriptions

- Started actually using Markdown Preview

---

# Version 0.4.3:

- Tweaked all 4 maps and added README changelog

---

# Version 0.4.2:

- Tweaked Oscillating and Serpentine

- Fixed Discord Links

---

# Version 0.4.1:

- Fixed README

---

# Version 0.4.0:

- Added Oscillating

- Added README map images

---

# Version 0.3.1:

- Tweaked README

---

# Version 0.3.0:

- Tweaked Serpentine

- Added Performance Improvements mod for screen shake issues

---

# Version 0.2.0:

- Reworked Orbitals and Serpentine

---

# Version 0.1.1:

- Tweaked Orbitals and Cyclic

---

# Version 0.1.0:

- Added Cyclic

---

# Version 0.0.3:

- Added Serpentine

- Tweaked Orbitals

- Added map watermarks

---

# Version 0.0.2:

- Tweaked Orbitals and README

---

# Version 0.0.1:

- Added Orbitals